<?php

class bBlock_image extends BackModule
{

    function update($formvars = array(), $table = null, $langue = true)
    {
        return parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function duplicate($formvars = array(), $table = null, $langue = true)
    {

        $return = $this->create($formvars, $table, $langue);

        return $return;
    }

    function delete($formvars = array())
    {
        return parent::delete_multi($formvars);
    }


    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'une nouvelle image</a></span>";
        } else {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id']))
                            . "'>Edition de l'image</a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT * 
                    FROM block_image bi
                    LEFT JOIN block_image_nom bin ON(bin.block_image_id = bi.block_image_id AND bin.langue_id = '" . LANGUE . "') 
                    WHERE bi.block_image_id = " . $formvars['id'];

            $this->request = $sql;
        }
        //-- SQL

        //GROUP
        $form = new BackForm("Informations principales", "group");
        $this->addForm($form);
        //--GROUP

        // Champs du formulaire
        $form = new BackForm("Block", "hidden", "block_id");
        $this->addForm($form);

        $form = new BackForm("Nom", "text", "block_image_nom_nom");
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Image", "image", "block_image_nom_image");
        $form->addAttr('class', 'required');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Rang", "text", "block_image_rang");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        if (!isset($formvars['div'])) {
            $formvars['div'] = '';
        }

        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    function Listing($formvars = array())
    {

        if (!empty($formvars['block'])) {
            $sql = " SELECT bi.block_image_id, bi.block_image_id";
            $sql .= ", bin.block_image_nom_nom";
            $sql .= ", bin.block_image_nom_image";
            $sql .= ", bi.block_image_rang";
            $sql .= " FROM block_image bi";
            $sql .= " LEFT JOIN block_image_nom bin ON(bin.block_image_id = bi.block_image_id AND bin.langue_id = '" . LANGUE . "')";

            $sql .= " WHERE 1";

            $sql .= " AND bi.block_id = '" . $formvars['block'] . "'";
        } else {
            $sql = "";
        }

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("IMAGE");
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    //--
}