<?php

use Phinx\Migration\AbstractMigration;

class InsertFournisseur extends AbstractMigration
{
    public function up()
    {
        $fournisseur_statut = array(
            array('fournisseur_statut_id' => '1','fournisseur_statut_nom' => 'Actif'),
            array('fournisseur_statut_id' => '2','fournisseur_statut_nom' => 'Non Actif')
        );

        $this
            ->table('fournisseur_statut')
            ->insert($fournisseur_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('fournisseur_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
