{extends file='layout/layout.tpl'}
{block name='content'}

{if !empty($smarty.get.origin) && $smarty.get.origin == 'panier'}
    {assign var="in_cart" value=true}
{/if}

<div class="container cart">
        {Breadcrumb::getInstance()->render()}

        {if $in_cart}
            {include file="order/nav.tpl" step=2}
        {/if}
        <section class="connexion" id="process">
            {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
            {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}
            <div class="login-form-block">
                <h2>{txt value="Vous êtes Déjà inscrit"}</h2>
                {include file="form/login.tpl"}
            </div>
            <div class="register-form-block">
                <h2>{txt value="Pas encore client ? Créer un compte facilement !"}</h2>
                {if !empty($err)}<div class="message-erreur">{$err}</div><br />{/if}
                {include file="form/register.tpl"}
            </div>
            {*<a href="#null" onclick="jQuery('form[name=\'register\']').submit();" class="btn btn-primary right">{txt value="Créer mon compte"} &gt;</a>*}

            <div class="back-button-wrapper">
                <a href="#" class="btn btn-white back-button">
                    {txt value="Retour au panier"}
                </a>
            </div>
        </section>
    </div>
{/block}