# Shop by dedi

## Installation

Pour installer le projet, vous aurez besoin d'[installer docker](http://docs.bydedi.com/tools/docker/install/).
Une fois docker installer, lancer la commande :

```bash
make install
```
Il faudra également ajouter `127.0.0.1 www.shopbydedi.local` dans votre fichier `/etc/hosts`
/!\ Le `make install` est à faire une seul fois. Par la suite, un make start sera suffisant

D'autres commandes sont disponibles. `make help` permettra de les lister

Si vous avez besoins d'autres commandes et que vous ne savez pas comment faire évoluer le makefile, interrogez vos lead devs / MOE qui vous apprendra

### Troubleshouting

Il se peut que vous ayez des conflits de ports si plusieurs make start sont fait sur des projets différents. 
Dans ce cas, modifiez les ports dans le fichier `.env` puis `make stop && make install`

## Présentation

| Infos  | Valeur |
| ------------- | ------------- |
| Version  | v2  |
| Hébergement  | Dedi  |
| Déploiement  | FTP  |
| PHP  | 7.2  |
| Docker  | Oui  |
| Migration BDD  | phinx  |
| Theme  | Sass / Gulp  |
| ERP  | -  |
| Aggrégateur de flux  | -  |
