<?php

class bTpe_reference_export extends BackModule {

    function details($formvars = array()) {

        ini_set('display_errors', true);
        error_reporting(E_ALL);

        setlocale(LC_MONETARY, 'fr_FR');
        $fmt = '%i';

        $tmpSession = $_SESSION;

        $transaction = new Tpe;
        list($arrTransaction) = $transaction->get(array('tpe_reference_id' => $formvars['id']));

        $panier = unserialize($arrTransaction['tpe_reference_session']);

        if (isset($_GET['submitBTN']) && $_GET['submitBTN'] == 'addCommande') {

            if (empty($arrTransaction['commande_id'])) {

                $verif = md5($arrTransaction['tpe_reference_id'].'_em_dedi');

                // error_log('url call');
                // error_log(SITE_URL.'traitement_tpe.html?tpe_reference_id='.$arrTransaction['tpe_reference_id'].'&key='.$verif);

                file_get_contents(SITE_URL.'traitement_tpe.html?tpe_reference_id='.$arrTransaction['tpe_reference_id'].'&key='.$verif);

                echo "<center><font color='red'>La commande a &eacute;t&eacute; ajout&eacute;e avec succ&egrave;s</font></center>";
            }
        }
        echo'
        <table class="records popup-details">
            <tr>
                <th height="15" colspan="2">TRANSACTION n&deg;'. $arrTransaction['tpe_reference_id'].'</th>
    </tr>
    <tr class="highlight">
        <td width="150"><b>Date</b></td>
        <td width="262">'. date('d/m/Y - H:i:s', strtotime($arrTransaction['tpe_reference_date'])).'</td>
    </tr>
    <tr>
        <td width="150"><b>Commande</b></td>
        <td width="262">'. $arrTransaction['commande_id'].'</td>
    </tr>
    <tr class="highlight">
        <td width="150"><b>Client</b></td>
        <td width="262">'. $arrTransaction['client_id'].'</td>
    </tr>
    <tr>
        <td width="150"><b>Retour</b></td>
        <td width="262">'. nl2br($arrTransaction['tpe_reference_retour_info']).'</td>
    </tr>
</table>';
        echo'
<table class="records panier-details">
    <tr>
        <th height="15" colspan="7">PANIER</th>
    </tr>';
        $color = array("highlight", "");

        echo '<tr>
                    <th height="15">ID</th>
                    <th height="15">REF</th>
                    <th height="15">REF FRS</th>
                    <th height="15">NOM</th>
                    <th height="15">QTE</th>
                    <th height="15">PRIX UNITAIRE HT</th>
                    <th height="15">PRIX HT</th>
                </tr>';

        $i = 0;
        $arrCaddie = $panier->getProducts();
        foreach ($arrCaddie as $caddie) {
            echo "<tr class='" . $color[$i % 2] . "'>";
            echo "<td>" . $caddie['produit_id'] . "</td>";
            echo "<td>" . $caddie['produit_ref'] . "</td>";
            echo "<td>" . $caddie['produit_ref_frs'] . "</td>";
            echo "<td>" . $caddie['produit_nom_nom'] . "</td>";
            echo "<td>" . $caddie['quantite_order'] . "</td>";
            echo "<td>" . money_format($fmt, $caddie['produit_prix_ht']) . "</td>";
            echo "<td>" . money_format($fmt,$caddie['produit_total_ht']) . "</td>";
            echo "</tr>";
            $i++;
        }

        $montant_ba = 0;
        foreach($panier->getReduction() as $ba){
            if($ba['paiement_type'] != 'BA') continue;

            echo "<tr class='" . $color[$i % 2] . "'>";
            echo "<td>&nbsp;</td>";
            echo "<td>BA</td>";
            echo "<td>&nbsp;</td>";
            echo "<td>" . $ba['paiement_nom'] . "</td>";
            echo "<td>1</td>";
            echo "<td>- " . money_format($fmt, $ba['paiement_total_ht']) . "</td>";
            echo "<td>- " . money_format($fmt,$ba['paiement_total_ht']) . "</td>";
            echo "</tr>";

            $montant_ba += $ba['paiement_total_ht'];
        }

        echo '<tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Sous-total HT :</td>
                    <td>' . money_format($fmt, $panier->getTotalProducts(1)[0] - $montant_ba) . '</td>
                 </tr>
                 <tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Frais de Port HT :</td>
                    <td>' . money_format($fmt, $panier->getShipping()->port_ht) . '</td>
                 </tr>
                 <tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Total HT :</td>
                    <td>' . money_format($fmt, $panier->getAPayer()[0]) . '</td>
                 </tr>
                 <tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Total TTC :</td>
                    <td>' . money_format($fmt, $panier->getAPayer()[1]) . '</td>
                 </tr>
                 <tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Reste à payer :</td>
                    <td>' . money_format($fmt, $panier->getAPayer()[1]) . '</td>
                 </tr>
                 <tr>
                    <td colspan="5">&nbsp;</td>
                    <td class="texte-droite">Dont T.V.A :</td>
                    <td>' . money_format($fmt, $panier->getAPayer()[1] - $panier->getAPayer()[0]) . '</td>
                </tr>
             </table>';

        if (empty($arrTransaction['commande_id'])) {
            echo "<form onsubmit=\"checkForm(this);return false;\" action='" . $_SERVER['REDIRECT_URL'] . "?" . $_SERVER['QUERY_STRING'] . "' method='post' name='miniForm'>";
            echo "<input type='hidden' name='submitBTN' value='' />";
            echo "<input style='width:100%' type='submit' onclick=\"if(confirm('Etes-vous sur de vouloir ajouter cette commande ?')) {document.miniForm.submitBTN.value=this.name;} else {document.miniForm.submitBTN.value='';}\" name='addCommande' value='Ajouter la commande'>";
            echo "</form>";
        }

        // recup de la session
        $_SESSION = $tmpSession;
    }
}
