<?php

function smarty_function_init_upload($params, Smarty_Internal_Template $template)
{
    if (empty($params["ids"])) {
        return "";
    }

    if (!is_array($params["ids"])) {
        $params["ids"] = [$params["ids"]];
    }

    $router = Application::getRouter()->getRouter();

    $files = [];

    $file = new File();
    $donneesFichiers = $file->get([
        "file_id" => $params["ids"],
    ]);

    foreach ($donneesFichiers as &$d) {
        $files[] = File::transformData($d, $router);
    } unset($d);

    $out = "";

    if (!empty($files)) {
        $out .= '
            <script>
                document.addEventListener("DOMContentLoaded", function() {
                    initUploadField({'.$params["champ"].': '.json_encode($files).'});
                });
            </script>
        ';
    }

    return $out;
}
