<!-- form/input/text.tpl -->

{if !empty($label)}
<div class="wrapFloatLabel {if !empty($btn)}input-group{/if}" {if !empty($disabled)}disabled{/if}>
    {/if}
    <input type="{$inputType|default:"text"}" name="{$name}" id="{$id|default:$name}" class="form-control {$class|default:"floatLabelInput"} {if !empty($context)}is-{$context}{/if}" {if !empty($placeholder)}placeholder="{$placeholder}"{/if} value="{if !empty($hydrateForm.$name)}{$hydrateForm.$name|default:""}{/if}" {if !empty($required)}required{/if} {if !empty($disabled)}disabled{/if}>
    {if !empty($label)}
        <label for="{$id|default:$name}" class="floatLabel">
            <span class="floatLabelContent">{$label}{if !empty($required)} <span class="asterisque">*</span>{/if}</span>
        </label>
    {/if}
    {if !empty($btn)}
        <div class="input-group-append">
            <button class="btn {if !empty($btnClass)}{$btnClass}{/if}" type="submit">{$btn}</button>
        </div>
    {/if}
    {if !empty($label)}
</div>
{/if}
{if !empty($context) && !empty($feedback_text)}
    <div class="{$context}-feedback">
        <span class="feedback-text">{$feedback_text}</span>
    </div>
{/if}